<?php
	$LIMPIAR=0;
	$StrHWND_G=$_SESSION['SYS_HW']."_G";
	//-------------------------
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	//-------------------------
	if(strlen($StrCmd)==0){
		$StrCmd=V($_GET['TxtAc']);
		if($StrCmd=="X")$StrCmd="C";
	}
	//-------------------------
	$StrAlm=V($_POST['CboAlm']);
	$StrN_AUTO=V($_POST['ChN_AUTO']);
	$StrSer=V($_POST['TxtSer']);
	$StrNum=V($_POST['TxtNum']);
	$StrFec=V($_POST['TxtFec']);
	$StrFecT=V($_POST['TxtFecT']);
	$StrPar=V($_POST['TxtPar']);
	$StrCosto=V($_POST['TxtCosto']);
	$StrDesRs=V($_POST['TxtDesRs']);
	$StrDesRuc=V($_POST['TxtDesRuc']);
	$StrDesDir=V($_POST['TxtDesDir']);
	$StrETRs=V($_POST['TxtETRs']);
	$StrETRuc=V($_POST['TxtETRuc']);
	$StrMarca=V($_POST['TxtMarca']);
	$StrPlaca=V($_POST['TxtPlaca']);
	$StrCons=V($_POST['TxtCons']);
	$StrLic=V($_POST['TxtLic']);
	
	$StrComR=V($_POST['CboComR']);
	$StrSerR=V($_POST['TxtSerR']);
	$StrNumR=V($_POST['TxtNumR']);
	
	$StrCod=V($_POST['TxtCod']);
	$StrDes=V($_POST['TxtDes']);
	$StrMARCA=V($_POST['TxtMarcas']);
	$StrCant=V($_POST['TxtCant']);
	//
	$StrPro_ID=V($_POST['Pro_TxtId']);
	$StrPro_CA=V($_POST['TxtCant']);
	//
	$StrN_BAR=vbval(V($_POST['ChN_BAR']));
	$StrN_AUT=vbval(V($_POST['ChN_AUT']));
	//
	$StrCh1="0";
	$StrCh2="0";
	$StrCh3="0";
	$StrCh4="0";
	$StrCh5="0";
	$StrCh6="0";
	$StrCh7="0";
	$StrCh8="0";
	$StrCh9="0";
	$StrCh10="0";
	$StrCh11="0";
	$StrCh12="0";
	$StrCh13="0";
	$StrCh14="0";
	//------------------------
	if(strlen($StrFec)==0)$StrFec=date("d-m-y");
	if(strlen($StrFecT)==0) $StrFecT=date("d-m-y");
	if(strlen($StrIdCliente)==0)$StrIdCliente="0";
	if(strlen($StrPro_ID)==0 || !is_numeric($StrPro_ID)) $StrPro_ID="0";
	if(strlen($StrPro_PR)==0 || !is_numeric($StrPro_PR)) $StrPro_PR="0";
	if(strlen($StrPro_CA)==0 || !is_numeric($StrPro_CA)) $StrPro_CA="0";
	if(strlen($StrN_INC)==0){
		$StrN_INC="0";
	}else{
		$StrN_INC="1";
	}
	//-----------------------
	if($StrN_AUTO=="1" || $StrCmd=="X"){
		$StrN_AUTO="1";
	}else{
		$StrN_AUTO="0";
	}
	//------------------------
	$StrTC=gs("valor","valores","dato='T_CAMBIO'");
	//-------------------------
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){
			$StrId="";
		}else{
			$StrCmd="AR";
			$LStrPag=V($_GET['Pag']);
			if(!is_numeric($LStrPag)){
				$LStrPag="";
			}
		}
	}
	//FUNCIONES DE DESZPLAZAMIENTO
	if(strlen($LStrPag)==0)$LStrPag="0";
	if($StrCmd=="MSig")$LStrPag=($LStrPag+1);
	if($StrCmd=="MAnt")$LStrPag=($LStrPag-1);
	if($StrCmd=="MPri")$LStrPag=0;
	if($StrCmd=="MUlt")$LStrPag=(floor($LStrTR / $VP_RegXPag) );
	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$StrAlm=gs("ALM","vguias","ID=$Id");
		$StrSer=gs("SER","vguias","ID=$Id");
		$StrNum=gs("NUM","vguias","ID=$Id");		
		$StrFec=gs("DATE_FORMAT(FEC,'%d-%m-%y')","vguias","ID=$Id");
		$StrFecT=gs("DATE_FORMAT(FIT,'%d-%m-%y')","vguias","ID=$Id");
		$StrPar=gs("DIR_PAR","vguias","ID=$Id");
		$StrCosto=gn("COSTO","vguias","ID=$Id");
		$StrDesRs=gs("DES_RS","vguias","ID=$Id");
		$StrDesRuc=gs("DES_RUC","vguias","ID=$Id");
		$StrDesDir=gs("DES_DIR","vguias","ID=$Id");
		$StrETRs=gs("ET_RS","vguias","ID=$Id");
		$StrETRuc=gs("ET_RU","vguias","ID=$Id");		
		$StrMarca=gs("TMAR","vguias","ID=$Id");
		$StrPlaca=gs("TPLA","vguias","ID=$Id");
		$StrCons=gs("TCON","vguias","ID=$Id");
		$StrLic=gs("TLIC","vguias","ID=$Id");
		$StrComR=gs("COMR","vguias","ID=$Id");
		$StrSerR=gs("SERR","vguias","ID=$Id");
		$StrNumR=gs("NUMR","vguias","ID=$Id");		
		if(strlen($StrComR)==0){
			$StrSerR="";
			$StrNumR="";
		}		
		ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_G'");
		$s="SELECT * FROM guias_det WHERE id_guia=$Id ORDER BY cx";
		$cx=0;	
		$result = grs($s);			
		while ($row = $result->fetch_row()){
			$cx++;
			$AR_ID=$row[2];
			$AR_CA=$row[3];
			$AR_PR=0;
			$AR_IM=0;
			$s="INSERT INTO temp_compras VALUES ('$StrHWND_G',
			   $AR_ID,$AR_CA,$AR_PR,$AR_IM,$cx,'','',0)";
			ejt($s);			
		}
	}
	//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
	include("guias_ref.php");
	//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
	if($StrCmd=="C"){
		ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_G'");
		$LIMPIAR=1;
	}
	//
	if($StrCmd=="KILLER"){
		ejt("DELETE FROM temp_compras WHERE 
				temc_index=$StrPro_ID AND cod_temc='$StrHWND_G'");
		$LStrFoc="document.getElementById('TxtCod').focus();";						
		$StrGT="S";	
		$StrVuelto="0.0";
		$StrPagarCon="0";		

	}
	
	//
	if($StrCmd=="ADD"){	
		$ID_TEMP=0;
		$StrVuelto="0.0";
		$StrPagarCon="0";	
		if($StrPro_ID==0){
			$LStrMsg="No se puede determinar el ID del producto";
			$LStrFoc="document.getElementById('TxtCod').focus();";						
			$StrGT="S";			
		}
		if(strlen($StrGT)==0){
			if($StrPro_CA==0){
				$LStrMsg="La cantidad debe ser mayor a cero";
				$LStrFoc="document.getElementById('TxtCant').focus();";						
				$StrGT="S";						
			}
		}
		if(strlen($StrGT)==0){
			$ID_TEMP=gn("temc_index","temp_compras",
						"temc_id_producto=$StrPro_ID AND cod_temc='$StrHWND_G'");
			/*
			if(gn("count(*)","temp_compras",
				  "temc_id_producto=$StrPro_ID AND cod_temc='$StrHWND_G'")>0){
				$LStrMsg="El producto que desea agregar ya se encuentra en la lista";
				$LStrFoc="document.getElementById('TxtCod').focus();";						
				$StrGT="S";	
			}
			*/
		}
		if(strlen($StrGT)==0){
			if($ID_TEMP==0){
				$StrImporte=round($StrPro_CA * $StrPro_PR,2);
				$StrIndex=GenId("temc_index","temp_compras");
				$s="INSERT INTO temp_compras VALUES ('$StrHWND_G',
					$StrPro_ID,$StrPro_CA,0,0,
					$StrIndex,'$StrCod','$StrDes',0)";
				ejt($s);
			}else{
				$s="UPDATE temp_compras ".
				   "SET temc_cant=temc_cant + $StrPro_CA ".
				   "WHERE temc_index=$ID_TEMP";
				ejt($s);
			}
			$StrCant="";
			$StrPre="";
			$StrDes="";
			$StrMARCA="";
			$StrCod="";
			$StrImp="";
			$LStrFoc="document.getElementById('TxtCod').focus();";						
			$StrGT="S";	
		}
	}
	//FUNCIONES DE ACTUALIZACION
	if($StrCmd=="M" && strlen($StrGT)==0){
		//////////////////////////////////////////////////////////
		$LStrMsg="";
		$IdComR_=gn("id_comr","guias","id_guia=$StrId");
		$StrAlm_=gn("id_almacen","guias","id_guia=$StrId");
		ejt("DELETE FROM guias WHERE id_guia=$StrId");
		$s="SELECT id_producto,ca FROM guias_det WHERE id_guia=$StrId";
		$result = grs($s);			
		while ($row = $result->fetch_row()){
			$E_ID=$row[0];
			$E_CA=$row[1];
			if($IdComR_==0){
				STOCK_ADD($StrAlm_,$E_ID,$E_CA);			
			}
		}
		ejt("DELETE FROM guias_det WHERE id_guia=$StrId");
		$LStrMsg="Los datos han sido modificados";
		$StrGT="";
		$StrCmd="G";
		//////////////////////////////////////////////////////////
	}
	if(($StrCmd=="G" || $StrCmd=="M") && strlen($StrGT)==0){			
		$StrAlm_=gn("id_almacen","almacenes","alm_nombre='$StrAlm'");
		$StrCom_=gn("id_comprobante","comprobantes","com_nombre='$StrCom'");
		$StrComR_=gn("id_comprobante","comprobantes","com_nombre='$StrComR'");
		$StrMon_=substr($StrMon,0,1);
		$StrPro_=gn("id_proveedor","proveedores","pro_nombre='$StrPro'");
		$StrTdp_=substr($StrTdp,0,2);

		if(gn("count(*)","temp_compras","cod_temc='$StrHWND_G'")==0){
			$LStrMsg="La lista de productos esta vacia";
			$LStrFoc="document.getElementById('TxtCod').focus();";						
			$StrGT="S";
		}
	}
	//FUNCIONES DE ACTUALIZACION
	if($StrCmd=="G" && strlen($StrGT)==0){	
		if($StrN_AUTO=="1"){
			GUIAS_GEN_SER_NUM_MAX($StrAlm_,$StrSer,$StrNum);		
		}
		$iStrSer=0;
		$iStrNum=0;		
		if(is_numeric($StrSer) && strlen($StrSer)>0)$iStrSer=$StrSer * 1;
		if(is_numeric($StrNum) && strlen($StrNum)>0)$iStrNum=$StrNum * 1;
		//
		$iStrSerR=0;
		$iStrNumR=0;		
		if(is_numeric($StrSerR) && strlen($StrSerR)>0)$iStrSerR=$StrSerR * 1;
		if(is_numeric($StrNumR) && strlen($StrNumR)>0)$iStrNumR=$StrNumR * 1;		
		$StrTipo="R";
		if(strlen($StrSerR)>0 && strlen($StrNumR)>0){
			$StrTipo="G";
		}	
		if(gn("count(*)","guias","id_almacen=$StrAlm_ AND iser=$iStrSer AND inum=$iStrNum")>0){
			$LStrMsg="Guia segun almacen, serie y numero ya registrados";			
			$LStrFoc="document.getElementById('TxtSer').focus();";						
			$StrGT="S";
		}
	}
	if($StrCmd=="G" && strlen($StrGT)==0){	
		$DESCONTAR=0;
		if($StrComR_==0)$DESCONTAR=1;
		//
		$StrFec_=ToDate($StrFec);
		$StrFecT_=ToDate($StrFecT);
		$StrCosto_=$StrCosto;
		if(strlen($StrCosto)==0)$StrCosto_="0";
		if(!is_numeric($StrCosto)) $StrCosto_="0";
		$GII=GenGI();
		//
		$StrId=GenId("id_guia","guias");
		$s="INSERT INTO guias VALUES ($StrId,$StrAlm_,'$StrTipo',
			'$StrSer','$StrNum','$StrFec_','$StrFecT_','$StrPar',$StrCosto_,
			'$StrMarca','$StrPlaca','$StrCons','$StrLic',
			'$StrDesRs','$StrDesDir','$StrDesRuc','$StrETRs','$StrETRuc',
			$StrComR_,'$StrSerR','$StrNumR',0,'','N',$iStrSer,$iStrNum,
			'$StrCh1','$StrCh2','$StrCh3','$StrCh4','$StrCh5','$StrCh6',
			'$StrCh7','$StrCh8','$StrCh9','$StrCh10','$StrCh11','$StrCh12',
			'$StrCh13','$StrCh14',$iStrSerR,$iStrNumR,$GII)";
	 	ejt($s);
		
		ejt("DELETE FROM guias_det WHERE id_guia=$StrId");
		$s="SELECT temc_id_producto,temc_cant,cod,des 
			FROM temp_compras WHERE cod_temc='$StrHWND_G' 
			ORDER BY temc_index";
		$result = grs($s);			
		$cx=0;			
		while ($row = $result->fetch_row()){
			$cx++;
			$G_ID=$row[0];
			$G_CA=$row[1];
			$G_CO=$row[2];
			$G_DE=$row[3];
			$ss="INSERT INTO guias_det VALUES ($StrId,$cx,$G_ID,$G_CA,'$G_CO','$G_DE')";
			ejt($ss);
			if($DESCONTAR==1){
				STOCK_SUB($StrAlm_,$G_ID,$G_CA);
			}
		}
		//ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_G'");		
		if(strlen($LStrMsg)==0){
			$LStrMsg="Los datos han sido registrado: $StrCom : $StrSer - $StrNum";
		}
		$LStrFoc="document.getElementById('CboAlm').focus();";						
		$StrGT="S";
		//
	}
	
	if($StrCmd=="E"){
		$IdComR_=gn("id_comr","guias","id_guia=$StrId");
		$StrAlm_=gn("id_almacen","guias","id_guia=$StrId");
		ejt("DELETE FROM guias WHERE id_guia=$StrId");
		$s="SELECT id_producto,ca FROM guias_det WHERE id_guia=$StrId";
		$result = grs($s);			
		while ($row = $result->fetch_row()){
			$E_ID=$row[0];
			$E_CA=$row[1];
			if($IdComR_==0){
				STOCK_ADD($StrAlm_,$E_ID,$E_CA);			
			}
		}
		ejt("DELETE FROM guias_det WHERE id_guia=$StrId");
		//
		ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_G'");
		//
		$LStrMsg="Los datos han sido eliminados";
		$LStrFoc="document.getElementById('CboAlm').focus();";						
		$StrGT="S";
		//
		$LIMPIAR=1;	
	}	
	//
	if($StrCmd=="A"){
		$IdComR_=gn("id_comr","guias","id_guia=$StrId");
		$StrAlm_=gn("id_almacen","guias","id_guia=$StrId");
		ejt("UPDATE guias SET anu='S' WHERE id_guia=$StrId");
		$s="SELECT id_producto,ca FROM guias_det WHERE id_guia=$StrId";
		$result = grs($s);			
		while ($row = $result->fetch_row()){
			$E_ID=$row[0];
			$E_CA=$row[1];
			if($IdComR_==0){
				STOCK_ADD($StrAlm_,$E_ID,$E_CA);			
			}
		}
		ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_G'");
		//
		$LStrMsg="La guia ha sido anulada";
		$LStrFoc="document.getElementById('CboAlm').focus();";						
		$StrGT="S";
		$LIMPIAR=1;		
	}
	//////////////////////////////////
	if($LIMPIAR==1){
		$StrId="";
		$StrAlm="";
		$StrSer="";
		$StrNum="";
		$StrFec=date("d-m-y");
		$StrFecT=date("d-m-y");
		$StrPar="";
		$StrCosto="";
		$StrDesRs="";
		$StrDesRuc="";
		$StrDesDir="";
		$StrETRs="";
		$StrETRuc="";
		$StrMarca="";
		$StrPlaca="";
		$StrCons="";
		$StrLic="";
		$StrSerR="";
		$StrNumR="";
		$StrComR="";
		$StrN_INC="";	
	}
	//////////////////////////////////
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				if($StrN_AUTO=="0"){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
				}else{
					$LStrMsg="onload=\"alert('$LStrMsg');AutoNumeracion(2);\"";
				}
			}else{
				if($StrN_AUTO=="0"){
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
				}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;AutoNumeracion(2);\"";
				}
			}
		}else{
			if(strlen($LStrFoc)>0){
				if($StrN_AUTO=="0"){
				$LStrMsg="onload=\"$LStrFoc;\"";
				}else{
					$LStrMsg="onload=\"$LStrFoc;AutoNumeracion(2);\"";
				}
			}
		}
	}else{
		if($StrN_AUTO=="1"){
$LStrMsg="onload=\"AutoNumeracion(2);CboRef();document.getElementById('CboAlm').focus();\"";
		}else{
			$LStrMsg="onload=\"CboRef();document.getElementById('CboAlm').focus();\"";
		}
	}
?>